Bug 1478018 - (CVE-2017-14156) CVE-2017-14156 kernel: driver/video/fbdev/aty/atyfb_base.c: atyfb_ioctl() stack infoleak
CVE-2017-14156 kernel: driver/video/fbdev/aty/atyfb_base.c: atyfb_ioctl() sta...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170803,reported=2...
: Security
Depends On: 1478019 1478025 1478026 1478027 1478028 1478029 1478030 1478031 1478032
Blocks: 1478065
  Show dependency treegraph
 
Reported: 2017-08-03 09:08 EDT by Pedro Sampaio
Modified: 2017-09-06 04:11 EDT (History)
34 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-29 10:21:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pedro Sampaio 2017-08-03 09:08:30 EDT
In atyfb_ioctl() structure atyclk is copied to userland with padding bytes after
"vclk_post_div" field unitialized. It leads to leaking of contents of kernel stack memory. We have to initialize them to zero. Or it will allows local users to obtain potentially sensitive information from kernel stack memory by reading a copy of this structure.

References:

http://seclists.org/oss-sec/2017/q3/220

https://marc.info/?t=150401465500002&r=1&w=2

Suggested patch:

https://github.com/torvalds/linux/pull/441

https://marc.info/?l=linux-fbdev&m=150401461113305&w=2
Comment 1 Pedro Sampaio 2017-08-03 09:10:18 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1478019]
Comment 3 Justin M. Forbes 2017-08-03 09:28:24 EDT
# CONFIG_FB_ATY is not set

We don't enable this driver in fedora
Comment 4 Vladis Dronov 2017-08-29 06:44:28 EDT
Statement:

This issue does not affect the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 5 and 7 as the code with the flaw is not present in the products listed.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 6 and MRG-2. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Note You need to log in before you can comment on or make changes to this bug.